A few words about deployment of ADF production domain on Oracle Linux

Recently I have configured ADF 11.1.2.4 production domain on Oracle Linux 6 OS. One of the stages of this process is installation and configuration of Application Development Runtime (ADR) which is necessary to perform after WebLogic Server binaries installation. During this process ADR installation wizard makes prerequisite check of recommended operating system packages:

In some cases this process could fail due some packages are not installed in the system. It is recommended to install all missed packages. You can find the full list of them below:

•    binutils-2.20.51.0.2-5.11.el6-x86_64;
•    compat-libcap1-1.10-1-x86_64;
•    compat-libstdc++-33-3.2.3-69.el6-x86_64;
•    compat-libstdc++-33-3.2.3-69.el6-i686;
•    libgcc-4.4.4-13.el6-i686;
•    libgcc-4.4.4-13.el6-x86_64;
•    libstdc++-4.4.4-13.el6-x86_64;
•    libstdc++-4.4.4-13.el6-i686;
•    libstdc++-devel-4.4.4-13.el6-x86_64;
•    sysstat-9.0.4-11.el6-x86_64;
•    gcc-4.4.4-13.el6-x86_64;
•    gcc-c++-4.4.4-13.el6-x86_64;
•    glibc-2.12-1.7.el6-i686;
•    glibc-2.12-1.7.el6-x86_64;
•    glibc-devel-2.12-1.7.el6-x86_64;
•    glibc-devel-2.12-1.7.el6;
•    libaio-0.3.107-10.el6-x86_64;
•    libaio-devel-0.3.107-10.el6-x86_64;

It is possible to install these packages using rpm or yum utilities. The rpm utility does not resolve any software dependencies and is not the recommended tool to install software. You can use the yum utility instead, which automatically resolves package dependencies. If you do not specify the platform architecture, yum will select the appropriate package for the current platform. Since software libraries are usually backward compatible, you should not specify a particular version, unless it is absolutely necessary.

In order to use yum it is necessary to run as root. Below you can find some examples:

1.    How to install package:

# yum install <package_name>

Example: 

# yum install glibc.i686
Loaded plugins: security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.12-1.107.el6_4.5 will be installed
--> Processing Dependency: glibc-common = 2.12-1.107.el6_4.5 for package: glibc-2.12-1.107.el6_4.5.i686
--> Processing Dependency: libfreebl3.so for package: glibc-2.12-1.107.el6_4.5.i686
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12-1.107.el6_4.5.i686
--> Running transaction check
---> Package glibc-common.x86_64 0:2.12-1.107.el6_4.4 will be updated
--> Processing Dependency: glibc-common = 2.12-1.107.el6_4.4 for package: glibc-2.12-1.107.el6_4.4.x86_64
---> Package glibc-common.x86_64 0:2.12-1.107.el6_4.5 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.12.9-11.el6 will be updated
---> Package nss-softokn-freebl.i686 0:3.14.3-3.el6_4 will be installed


2.    How to search packages:

# yum search <package>

Example:


You could get more information about yum typing man yum in the terminal.


When all necessary packages have been installed, you can click Retry button in the ADR wizard and ensure that all necessary prerequisite checks have been finished successfully.


Proceed with your installation and deployment process and be happy with your ADF Production domain on Oracle Linux! =)

Bookmark and Share

Comments:

Post a Comment:
  • HTML Syntax: NOT allowed
About

Oracle ECEMEA Partner Hubs Migration Center Team

We share our skills to maximize your revenue!
Rapidly and successfully assist you to adopt and implement the latest of Oracle Technology in your solutions.

Stay Connected
partner.imc
@
beehiveonline.oracle-DOT-com
Google+ Subscribe by Email

Search

Archives
« May 2015
SunMonTueWedThuFriSat
     
2
3
5
6
9
12
13
15
16
17
18
19
20
23
24
25
26
27
28
29
30
31
      
Today